Проблема Система не находит linux-headers

Азиз

Азиз

Well-known member
30.05.2018
213
68
Установил kali с ядром 4.14, обновил пакеты и всё такое, и когда пишу - "apt-get install linux-headers-$(uname -r)", kali выдаёт ошибку:
Чтение списков пакетов… Готово
Построение дерева зависимостей
Чтение информации о состоянии… Готово
E: Не удалось найти пакет linux-headers-4.14.0-kali3-amd64
E: Не удалось найти пакет с помощью glob «linux-headers-4.14.0-kali3-amd64»
E: Не удалось найти пакет с помощью regex «linux-headers-4.14.0-kali3-amd64»
Как это устранить? МОжет надо вручную устанавливать иль как?
 
T

Tony

Green Team
21.09.2019
86
12
Что у тебя не работает на свежем ядре? Зачем именно 4.14 ставишь?
глянь.
 
Последнее редактирование:
Азиз

Азиз

Well-known member
30.05.2018
213
68
Что у тебя не работает на свежем ядре? Зачем именно 4.14 ставишь?
глянь.
Мне нужны были драйвера для tp-link 722wn v2, чтобы он мог переводиться в режим монитора, и я не смог найти для свежей версии ядра эти драйвера (дрова работали на ядрах до 4.15)
 
T

Tony

Green Team
21.09.2019
86
12
У него чип RTL8188eus? дравер пробовал?
 
T

Tony

Green Team
21.09.2019
86
12
dist-upgrade сделай, она сама ядро обновит.
 
alfabuster

alfabuster

Green Team
04.11.2019
115
7
Если найдёшь где скачать. Ядро слишком древнее.
Ты пошутил что ли? 4.14 слишком древнее? На сайте можно скачать хоть версии 1.0, не то что 4.х. Было бы желание.

Блинб, я пол часа искал и нииииичего не нашел, что делать та?
Вы очень неудачно пользуетесь поиском, ссылку выше кинул, где скачать любую версию ядра.
 
alfabuster

alfabuster

Green Team
04.11.2019
115
7
Нет. Т.е. ты считаешь нормальным сидеть на ядре полутора годичной давности, когда с тех времён исправлено с десяток cve не говоря уж о куче багов?
Конечно не нормально. Но бывают ситуации, когда железо хорошо работает на старых ядрах, а на новых поддержки просто нет. Это скорее исключения и таких меньшинство, но они есть.

А еще меня взбесило выражение:
Если найдёшь где скачать.
Архив для этого и создан, чтобы скачать именно то ядро которое нужно.
 
Азиз

Азиз

Well-known member
30.05.2018
213
68
Ты пошутил что ли? 4.14 слишком древнее? На сайте можно скачать хоть версии 1.0, не то что 4.х. Было бы желание.


Вы очень неудачно пользуетесь поиском, ссылку выше кинул, где скачать любую версию ядра.
Скачать то не проблема, но вот с linux-headers дофига проблем..
 
Мы в соцсетях: